%define revision 1231
%define mainrel 1
%define snaprel 2

Name:           vbam
Version:        1.8.0
Release:        %mkrel %{mainrel}.%{revision}.%{snaprel}
Summary:        A Game Boy emulator
Group:          Emulators
License:        GPLv2+
URL:            http://sourceforge.net/projects/vbam
Source0:        %{name}-r%{revision}.tar.xz

BuildRequires:  cmake
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(gtkglextmm-1.2)
BuildRequires:  pkgconfig(libglademm-2.4)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(zlib)
Obsoletes:      visualboyadvance < 1.8.0-1
Provides:       visualboyadvance = %{version}-%{release}

%description
VisualBoyAdvance-M (vbam) is a Nintendo Game Boy, Game Boy Color and
Game Boy Advance emulator. It is based on VisualBoyAdvance and integrates
the best features from the various other forks.

It also features a GTK frontend (gvbam) and a CLI interface with SDL.

%prep
%setup -q -n %{name}-r%{revision}

%build
export CXXFLAGS="%{optflags} -std=gnu++11 -fpermissive"
%cmake -DBUILD_SHARED_LIBS=OFF
%make

%install
%make_install -C build

install -D -m644 debian/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%find_lang g%{name}

%files -f g%{name}.lang
%doc doc/ReadMe.SDL.txt doc/DevInfo.txt
%{_bindir}/%{name}
%{_bindir}/g%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/g%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/vbam.cfg


%changelog
* Tue Jan 19 2016 daviddavid <daviddavid> 1.8.0-1.1231.2.mga6
+ Revision: 925858
- compile C++ code with -std=gnu++11 -fpermissive

* Sat Jan 31 2015 akien <akien> 1.8.0-1.1231.1.mga5
+ Revision: 812917
- New snapshot: r1231
- Do not build against SFML, the corresponding feature is disabled

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-0.svn1202.4.mga5
+ Revision: 751074
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-0.svn1202.3.mga5
+ Revision: 690130
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.8.0-0.svn1202.2.mga4
+ Revision: 539069
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 dams <dams> 1.8.0-0.svn1202.1.mga4
+ Revision: 491322
- new snapshot r2102

* Mon Jun 03 2013 fwang <fwang> 1.8.0-0.svn1159.1.mga4
+ Revision: 435779
- new snapshot

* Mon Jan 14 2013 umeabot <umeabot> 1.8.0-0.svn1138.3.mga3
+ Revision: 385232
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 fwang <fwang> 1.8.0-0.svn1138.2.mga3
+ Revision: 298932
- fix requires

* Fri Sep 28 2012 fwang <fwang> 1.8.0-0.svn1138.1.mga3
+ Revision: 298915
- build staticlib
- new snapshot 1.8.0.1138

* Thu Sep 27 2012 tv <tv> 1.8.0-0.svn1103.6.mga3
+ Revision: 298629
- rebuild for new pango

* Thu Sep 27 2012 tv <tv> 1.8.0-0.svn1103.5.mga3
+ Revision: 298610
- rebuild for new pango

* Fri Jul 27 2012 dams <dams> 1.8.0-0.svn1103.4.mga3
+ Revision: 274984
- fix typo in provides

* Sat Jul 21 2012 dams <dams> 1.8.0-0.svn1103.3.mga3
+ Revision: 272998
- clean specfile and update .desktop file
- clean specfile

* Fri Jul 20 2012 dams <dams> 1.8.0-0.svn1103.2.mga3
+ Revision: 272939
- fix typo in 'provides' and 'obsoletes'

* Fri Jul 20 2012 dams <dams> 1.8.0-0.svn1103.1.mga3
+ Revision: 272917
- new snapshot r1103
- imported package vbam

